summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2017-01-23 22:10:35 +0000
committerJames Le Cuirot <chewi@gentoo.org>2017-01-23 22:52:11 +0000
commited49e92a6e7a7dfc99e6671bef19d0c3a263bb8f (patch)
tree141d1fb87a6a0f71e54c21c6da9908392eec6c68 /dev-java/oracle-jdk-bin
parentdev-java/oracle-jdk-bin: Drop support for PT PaX marking, bug #592856 (diff)
downloadgentoo-ed49e92a6e7a7dfc99e6671bef19d0c3a263bb8f.tar.gz
gentoo-ed49e92a6e7a7dfc99e6671bef19d0c3a263bb8f.tar.bz2
gentoo-ed49e92a6e7a7dfc99e6671bef19d0c3a263bb8f.zip
dev-java/oracle-jdk-bin: Trim the commercial and duplicated fat
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-java/oracle-jdk-bin')
-rw-r--r--dev-java/oracle-jdk-bin/metadata.xml1
-rw-r--r--dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.121.ebuild23
2 files changed, 10 insertions, 14 deletions
diff --git a/dev-java/oracle-jdk-bin/metadata.xml b/dev-java/oracle-jdk-bin/metadata.xml
index 6eb282a0df9..6850de618e2 100644
--- a/dev-java/oracle-jdk-bin/metadata.xml
+++ b/dev-java/oracle-jdk-bin/metadata.xml
@@ -7,6 +7,7 @@
</maintainer>
<longdescription>Oracle Java SE Development Kit, Official Binary Distribution</longdescription>
<use>
+ <flag name="commercial">Install features requiring a commercial license for production use</flag>
<flag name="derby">Install bundled Derby (Java database)</flag>
<flag name="headless-awt">Don't install the X backend for AWT, needed by some GUIs (used to be X flag)</flag>
<flag name="javafx">Install JavaFX libraries</flag>
diff --git a/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.121.ebuild b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.121.ebuild
index f0a77c03e78..ac3ee6ac60f 100644
--- a/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.121.ebuild
+++ b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.121.ebuild
@@ -61,7 +61,7 @@ SRC_URI+=" jce? ( ${JCE_FILE} )"
LICENSE="Oracle-BCLA-JavaSE examples? ( BSD )"
SLOT="1.8"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc64-solaris ~x64-solaris"
-IUSE="alsa cups derby doc examples +fontconfig headless-awt javafx jce nsplugin selinux source"
+IUSE="alsa commercial cups derby doc examples +fontconfig headless-awt javafx jce nsplugin selinux source"
REQUIRED_USE="javafx? ( alsa fontconfig )"
RESTRICT="fetch preserve-libs strip"
@@ -211,6 +211,10 @@ src_install() {
rm -vf jre/lib/*/libjsoundalsa.* || die
fi
+ if ! use commercial; then
+ rm -vfr lib/missioncontrol jre/lib/jfr* || die
+ fi
+
if use headless-awt ; then
rm -vf {,jre/}lib/*/lib*{[jx]awt,splashscreen}* \
{,jre/}bin/{javaws,policytool} \
@@ -233,6 +237,9 @@ src_install() {
# provided, they generally lag behind what Gentoo has available.
rm -vf jre/lib/*/libavplugin* || die
+ # We package this as dev-util/visualvm.
+ rm -vfr lib/visualvm || die
+
dodoc COPYRIGHT
dodir "${dest}"
cp -pPR bin include jre lib man "${ddest}" || die
@@ -325,7 +332,7 @@ src_install() {
if use x64-macos ; then
# Fix miscellaneous install_name issues.
pushd "${ddest}"/jre/lib > /dev/null || die
- local lib needed nlib npath
+ local lib
for lib in decora_sse glass prism_{common,es2,sw} ; do
lib=lib${lib}.dylib
einfo "Fixing self-reference of ${lib}"
@@ -334,18 +341,6 @@ src_install() {
"${lib}"
done
popd > /dev/null
-
- # This is still jdk1{5,6}, even on Java 8, so don't change it
- # until you know different.
- for nlib in jdk1{5,6} ; do
- install_name_tool -change \
- /usr/lib/libgcc_s_ppc64.1.dylib \
- /usr/lib/libSystem.B.dylib \
- "${ddest}"/lib/visualvm/profiler/lib/deployed/${nlib}/mac/libprofilerinterface.jnilib
- install_name_tool -id \
- "${EPREFIX}${dest}"/lib/visualvm/profiler/lib/deployed/${nlib}/mac/libprofilerinterface.jnilib \
- "${ddest}"/lib/visualvm/profiler/lib/deployed/${nlib}/mac/libprofilerinterface.jnilib
- done
fi
java-vm_install-env "${FILESDIR}"/${PN}.env.sh